# Robot Car Project
## Zumo 32U4

The Zumo 32U4 robot is a complete, versatile robot controlled by an Arduino-compatible ATmega32U4
microcontroller. When assembled, the low-profile tracked robot measures less than 10 cm on each side, making
it suitable for Mini-Sumo competitions. <br/>
At the heart of the Zumo 32U4 is an integrated ATmega32U4 AVR microcontroller from Atmel, along with dual
H-bridge drivers that power the robot’s motors. The robot also features a variety of sensors, including quadrature
encoders and inertial sensors (accelerometer and gyro) on the main board, along with reflectance and proximity
sensors on the front sensor array. On-board pushbuttons offer a convenient interface for user input, and an LCD,
buzzer, and indicator LEDs allow the robot to provide feedback. <br/>
(taken from "Pololu Zumo 32U4 Robot User's Guide" by Pololu Corporation, 2015)

## Steps to go

*   Getting started with "Zumo 32U4"
*   Testing mounted sensors and actuators
*   Building test track
*   Installing bluetooth communication module "HC-05"
*   Programming automatic drive mode
    - Line sensors to keep track
    - Proximity sensors to avoid collisions
    - Acceleration sensor to detect collisions
*   Wireless communication between several cars and central station
*   to be continued ... 